Loading...
Searching...
No Matches
restinio::http_field_parsers::raw_host_value_t::ipv6_address_t Struct Reference

`#include <host.hpp>`

## Public Member Functions

| ipv6_address_t ()=default
| ipv6_address_t (std::string val) noexcept

## Static Public Member Functions

static RESTINIO_NODISCARD ipv6_address_t | from_string (std::string v) noexcept

## Public Attributes

std::string | v

## Friends

bool | operator== (const ipv6_address_t &a, const ipv6_address_t &b) noexcept
bool | operator!= (const ipv6_address_t &a, const ipv6_address_t &b) noexcept
bool | operator< (const ipv6_address_t &a, const ipv6_address_t &b) noexcept

## Detailed Description

Definition at line 455 of file host.hpp.

## Constructor & Destructor Documentation

## ipv6_address_t() [1/2]

restinio::http_field_parsers::raw_host_value_t::ipv6_address_t::ipv6_address_t | ( |  | ) |

default

## ipv6_address_t() [2/2]

restinio::http_field_parsers::raw_host_value_t::ipv6_address_t::ipv6_address_t | ( | std::string | val | ) |

inline explicit noexcept

Definition at line 460 of file host.hpp.

## Member Function Documentation

## from_string()

static RESTINIO_NODISCARD ipv6_address_t restinio::http_field_parsers::raw_host_value_t::ipv6_address_t::from_string | ( | std::string | v | ) |

inline static noexcept

Definition at line 482 of file host.hpp.

## Friends And Related Function Documentation

## operator!=

bool operator!= | ( | const ipv6_address_t & | a,
|  | const ipv6_address_t & | b
| ) |  |

friend

Definition at line 469 of file host.hpp.

## operator<

bool operator< | ( | const ipv6_address_t & | a,
|  | const ipv6_address_t & | b
| ) |  |

friend

Definition at line 474 of file host.hpp.

## operator==

bool operator== | ( | const ipv6_address_t & | a,
|  | const ipv6_address_t & | b
| ) |  |

friend

Definition at line 463 of file host.hpp.

## Member Data Documentation

## v

std::string restinio::http_field_parsers::raw_host_value_t::ipv6_address_t::v

Definition at line 457 of file host.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/host.hpp